package com.chinaitop.depot.intelligent.ventilation.mapper;

import com.chinaitop.depot.intelligent.ventilation.model.TJob;
import com.chinaitop.depot.intelligent.ventilation.model.TJobExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface TJobMapper {
    int countByExample(TJobExample example);

    int deleteByExample(TJobExample example);

    int insert(TJob record);

    int insertSelective(TJob record);

    List<TJob> selectByExample(TJobExample example);

    int updateByExampleSelective(@Param("record") TJob record, @Param("example") TJobExample example);

    int updateByExample(@Param("record") TJob record, @Param("example") TJobExample example);
    
    
    void updateByKey(TJob tJob);

	int deleteByPrimaryKey(String id);

	List<TJob> getJobTime(String vCfCode);

	TJob selectByPrimaryKey(String id);
}